using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Data.Entity;
using System.Linq;
using System.Web;

namespace AspNetFrameworkMVC.Models
{
	[Table("Guest")]
	public class Guest
	{
		public int Id { get; set; }
		public string Name { get; set; }
		[Display(Name="작성일자")]
		[DisplayFormat(DataFormatString="{0:yyyy-MM-dd}")]
		public DateTime CreatedDate { get; set; }
		public string Message { get; set; }
	}

	public class GuestDbContext : DbContext
	{
		public GuestDbContext() : base()
		{

		}

		public DbSet<Guest> Guests { get; set; }
	}
}